<?php
if (!defined('ABSPATH')) exit; 

//アイキャッチ画像のサポート
if ( ! function_exists( 'theme_setup' ) ) :
function theme_setup() {
    add_theme_support( 'post-thumbnails' );
    // 投稿とページでアイキャッチ画像を有効にする
    add_post_type_support( 'post', 'thumbnail' );
    add_post_type_support( 'page', 'thumbnail' );
}
endif;
add_action( 'after_setup_theme', 'theme_setup' );

// テーマがエディタスタイルをサポートしていることを宣言
add_action('after_setup_theme', function() {
    add_theme_support('editor-styles');
});
